aboutsummaryrefslogtreecommitdiff
path: root/upload.sh
diff options
context:
space:
mode:
Diffstat (limited to 'upload.sh')
-rwxr-xr-xupload.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/upload.sh b/upload.sh
index d34d4ed..62b906a 100755
--- a/upload.sh
+++ b/upload.sh
@@ -1,6 +1,10 @@
#! /bin/sh
HEXFILE=$1
-[ -z "$HEXFILE" ] && exit 1
+
+if [ -z "$HEXFILE" ]; then
+ echo "usage: $0 [hexfile]"
+ exit 1
+fi
avrdude -c usbtiny -p attiny828 -U flash:w:$HEXFILE